Skip to main content
PUT
/
users
/
{userId}
Update user
curl --request PUT \
  --url https://apiv2.example.com/users/{userId} \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <api-key>' \
  --data '
{
  "name": "John Doe",
  "email": "john.doe@example.com",
  "msisdn": "+15551234567",
  "metadata": {}
}
'
{
  "userId": "<string>",
  "name": "<string>",
  "email": "jsmith@example.com",
  "msisdn": "<string>",
  "identity": "<string>",
  "referenceId": "hr-employee-98765",
  "customers": [
    {
      "customerId": "<string>",
      "name": "<string>"
    }
  ],
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "metadata": {}
}

Authorizations

X-Api-Key
string
header
required

An API key that grants access to the Connect API. You can create and manage API keys in the portal.

Path Parameters

userId
string
required

The unique identifier of the user. Accepts either:

  • Internal UUID (e.g., "a47ac10b-58cc-4372-a567-0e02b2c3d479")
  • External referenceId (e.g., "hr-employee-98765")

Body

application/json

Request to update a user.

name
string

Name of the user.

Example:

"John Doe"

email
string<email>

Email of the user.

Example:

"john.doe@example.com"

msisdn
string<phone>

Mobile phone number of the user.

Example:

"+15551234567"

metadata
object

A set of key-value pairs that can be attached to an object for storing additional information in a semi-structured format.

Response

User updated successfully.

A user within the system.

userId
string
required

Unique identifier for the user.

name
string
required

Name of the user.

email
string<email>

Email of the user.

msisdn
string<phone>

Mobile phone number of the user.

identity
string

The identity of the entity, such as personal number, organization number, etc., depending on the country, entity, and customer type.

referenceId
string

A reference identifier provided by API clients to identify this user in their own systems. Must be unique per tenant. Use this field to look up users or to create/retrieve users during order creation.

Maximum string length: 255
Example:

"hr-employee-98765"

customers
object[]
createdAt
string<date-time>

Date and time when the user was created.

updatedAt
string<date-time>

Date and time when the user was last updated.

metadata
object

A set of key-value pairs that can be attached to an object for storing additional information in a semi-structured format.